<?php
$config->space->zentaoApps[] = 'GitFox';

$config->space->monitorChart      = 'kube-prometheus-stack';
$config->space->monitorDomain     = 'monitor';
$config->space->monitorNotSetting = 40000;
$config->space->monitorNotInstall = 42000;
$config->space->monitorNotStart   = 42001;

/** the plugin Chart default payload  */
$config->space->defaultPayload = array();
$config->space->defaultPayload[$config->space->monitorChart] = array(
    'defaults' => array(
        'warning' => array(
            'cpu'    => array('threshold' => 80, 'duration' => '5'),
            'memory' => array('threshold' => 80),
            'disk'   => array('threshold' => 80),
        ),
        'danger'  => array(
            'cpu'    => array('threshold' => 90, 'duration' => '10'),
            'memory' => array('threshold' => 90),
            'disk'   => array('threshold'=> 90),
        )
    ),
);

$config->space->pluginCharts = array();
$config->space->pluginCharts[] = $config->space->monitorChart;

$config->space->form = new stdclass();
$config->space->form->monitorsetting = array();
$config->space->form->monitorsetting['warning'] = array('type' => 'array', 'required' => false);
$config->space->form->monitorsetting['danger']  = array('type' => 'array', 'required' => false);
